import sys
import matplotlib.pyplot as plt
import numpy as np
#from Classes import Stroke, OffStroke
from TraceData import TraceData
import time
from PyQt5.QtWidgets import QApplication, QMainWindow, QMenu, QVBoxLayout, QSizePolicy, QMessageBox, QWidget, QPushButton, QLabel
from PyQt5.QtGui import QIcon
from matplotlib.backends.backend_qt5agg import FigureCanvasQTAgg as FigureCanvas
from matplotlib.figure import Figure
import matplotlib.pyplot as plt
import random
from GUI import App




if __name__ == '__main__':
    try:
        start = time.time()

        x = TraceData()



        app = QApplication(sys.argv)
        ex = App(x)
        ex.show()
        app.exec_()

        end = time.time()
        print(end-start)
        plt.show()
    except Exception as ex:
                print(ex)

        
